Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jimi.core
Class JimiSingleImageEncoder

    java.lang.Object
      |
      +--com.sun.jimi.core.JimiSingleImageEncoder

public abstract class JimiSingleImageEncoder
extends java.lang.Object
implements JimiEncoder

Base class for encoders of single-image formats.

Field Summary
`protected ProgressListener` | `progressListener` ProgressListener monitoring encoding

Constructor Summary
`JimiSingleImageEncoder()`

Method Summary
`abstract void` | `doEncodeImage(JimiImage jimiImage, java.io.OutputStream output)`
`void` | `encodeImage(JimiImage jimiImage, java.io.OutputStream output)`
`void` | `encodeImage(JimiImage jimiImage, java.io.OutputStream output, ProgressListener listener)`
`void` | `encodeImages(JimiImageEnumeration jimiImages, java.io.OutputStream output)`
`void` | `encodeImages(JimiImageEnumeration jimiImages, java.io.OutputStream output, ProgressListener listener)`
`void` | `setProgress(int progressLevel)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### progressListener

    protected ProgressListener progressListener

  ProgressListener monitoring encoding

Constructor Detail

### JimiSingleImageEncoder

    public JimiSingleImageEncoder()

Method Detail

### encodeImage

    public void encodeImage(JimiImage jimiImage,
                            java.io.OutputStream output)
                     throws JimiException

### encodeImage

    public void encodeImage(JimiImage jimiImage,
                            java.io.OutputStream output,
                            ProgressListener listener)
                     throws JimiException

### doEncodeImage

    public abstract void doEncodeImage(JimiImage jimiImage,
                                       java.io.OutputStream output)
                                throws JimiException,
                                       java.io.IOException

### setProgress

    public void setProgress(int progressLevel)

### encodeImages

    public void encodeImages(JimiImageEnumeration jimiImages,
                             java.io.OutputStream output)
                      throws JimiException

  Specified by:
    encodeImages in interface JimiEncoder

### encodeImages

    public void encodeImages(JimiImageEnumeration jimiImages,
                             java.io.OutputStream output,
                             ProgressListener listener)
                      throws JimiException

  Specified by:
    encodeImages in interface JimiEncoder

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD